tdk@listserv.activestate.com
[Top] [All Lists]

Re: [TDK] Starkit Failing only in Ubuntu when compiled

Subject: Re: [TDK] Starkit Failing only in Ubuntu when compiled
From:
Date: Tue, 14 Feb 2012 23:33:11 -0500
Excellent, I installed the libXss.so.1 library and it now works.  Now, is
there anything we can do so I don't have to ask my end users to install
additional packages/libraries in order to make my application work?

Thanks again for your expert assistance.

Al Silverstein

> On 2/14/2012 10:10 AM, asilver@xxxxxxxxxxxxx wrote:
>> Ok, so building the starkit with TclDev kit 5.3 fixed the problem
>
> Glad to know.
>
>> (thanks!) for this script which uses a TCL interpreter (it is a command
>> line based script).
>
>  > I'm now having the following problem with a second
>> app/script that uses Tk.  Again this is compiled. I did not try with or
>> without the compile option, for this, as it seems like a library is
>> missing...  It does work on Red Hat and Suse 11.1 but not on Ubuntu (I'm
>> using 11.10)
>
>> couldn't load file "/tmp/tclpiTEUh": libXss.so.1: cannot open shared
>> object file: No such file or directory
>
> Yes, the Tk shared library found in base-tk has a dependency on libXss,
> per ldd
>
> andreask@tcl-linux-vm:~/lsf/M> ldd libtk8.5.so
>          linux-gate.so.1 =>  (0x00871000)
>          libpthread.so.0 => /lib/libpthread.so.0 (0x00a55000)
>          libX11.so.6 => /usr/X11R6/lib/libX11.so.6 (0x00940000)
> ***     libXss.so.1 => /usr/X11R6/lib/libXss.so.1 (0x00291000)
>          libXext.so.6 => /usr/X11R6/lib/libXext.so.6 (0x00add000)
>          libXft.so.2 => /usr/X11R6/lib/libXft.so.2 (0x00da1000)
>          libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00466000)
>          libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00111000)
>          libXrender.so.1 => /usr/X11R6/lib/libXrender.so.1 (0x00fab000)
>          libdl.so.2 => /lib/libdl.so.2 (0x00f1f000)
>          libm.so.6 => /lib/libm.so.6 (0x004d8000)
>          libc.so.6 => /lib/libc.so.6 (0x00ddc000)
>          /lib/ld-linux.so.2 (0x00872000)
>          libexpat.so.0 => /usr/lib/libexpat.so.0 (0x00400000)
>          libz.so.1 => /usr/lib/libz.so.1 (0x00250000)
>
> We are building on a FC 4 system to be most compatible.
>
> It seems that Ubuntu has made changes to their setup of X11 which breaks
> this.
>
> Googling for
>       libXss.so.1: cannot open shared object file: No such file or directory
>
> yields:
>
> http://askubuntu.com/questions/59703/skype-error-while-loading-shared-libraries-libxss-so-1-cannot-open-shared-obj
>
> which seems to have instructions on how to fix your ubuntu machine.
>
>
>
> --
> Andreas Kupries
> Senior Tcl Developer
> Code to Cloud: Smarter, Safer, Fasterâ
>
> P: 778.786.1122
> F: 778.786.1133
> andreask@xxxxxxxxxxxxxxx
> http://www.activestate.com
> Learn about Stackato for Private PaaS: http://www.activestate.com/stackato
>

_______________________________________________
TDK mailing list
TDK@xxxxxxxxxxxxxxxxxxxxxxxx
http://listserv.ActiveState.com/mailman/listinfo/tdk
<Prev in Thread] Current Thread [Next in Thread>